Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc0e:1000::/20
First address
fc0e:1000::
Last address
fc0e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc0e:1000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
1.e.0.c.f.ip6.arpa
Split into smaller subnets/28

fc0e:1000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fc0e:1000::/28fc0e:100f:ffff:ffff:ffff:ffff:ffff:ffff
2fc0e:1010::/28fc0e:101f:ffff:ffff:ffff:ffff:ffff:ffff
3fc0e:1020::/28fc0e:102f:ffff:ffff:ffff:ffff:ffff:ffff
4fc0e:1030::/28fc0e:103f:ffff:ffff:ffff:ffff:ffff:ffff
5fc0e:1040::/28fc0e:104f:ffff:ffff:ffff:ffff:ffff:ffff
6fc0e:1050::/28fc0e:105f:ffff:ffff:ffff:ffff:ffff:ffff
7fc0e:1060::/28fc0e:106f:ffff:ffff:ffff:ffff:ffff:ffff
8fc0e:1070::/28fc0e:107f:ffff:ffff:ffff:ffff:ffff:ffff
9fc0e:1080::/28fc0e:108f:ffff:ffff:ffff:ffff:ffff:ffff
10fc0e:1090::/28fc0e:109f:ffff:ffff:ffff:ffff:ffff:ffff
11fc0e:10a0::/28fc0e:10af:ffff:ffff:ffff:ffff:ffff:ffff
12fc0e:10b0::/28fc0e:10bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc0e:10c0::/28fc0e:10cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc0e:10d0::/28fc0e:10df:ffff:ffff:ffff:ffff:ffff:ffff
15fc0e:10e0::/28fc0e:10ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc0e:10f0::/28fc0e:10ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc0e:1100::/28fc0e:110f:ffff:ffff:ffff:ffff:ffff:ffff
18fc0e:1110::/28fc0e:111f:ffff:ffff:ffff:ffff:ffff:ffff
19fc0e:1120::/28fc0e:112f:ffff:ffff:ffff:ffff:ffff:ffff
20fc0e:1130::/28fc0e:113f:ffff:ffff:ffff:ffff:ffff:ffff
21fc0e:1140::/28fc0e:114f:ffff:ffff:ffff:ffff:ffff:ffff
22fc0e:1150::/28fc0e:115f:ffff:ffff:ffff:ffff:ffff:ffff
23fc0e:1160::/28fc0e:116f:ffff:ffff:ffff:ffff:ffff:ffff
24fc0e:1170::/28fc0e:117f:ffff:ffff:ffff:ffff:ffff:ffff
25fc0e:1180::/28fc0e:118f:ffff:ffff:ffff:ffff:ffff:ffff
26fc0e:1190::/28fc0e:119f:ffff:ffff:ffff:ffff:ffff:ffff
27fc0e:11a0::/28fc0e:11af:ffff:ffff:ffff:ffff:ffff:ffff
28fc0e:11b0::/28fc0e:11bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc0e:11c0::/28fc0e:11cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc0e:11d0::/28fc0e:11df:ffff:ffff:ffff:ffff:ffff:ffff
31fc0e:11e0::/28fc0e:11ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc0e:11f0::/28fc0e:11ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc0e:1200::/28fc0e:120f:ffff:ffff:ffff:ffff:ffff:ffff
34fc0e:1210::/28fc0e:121f:ffff:ffff:ffff:ffff:ffff:ffff
35fc0e:1220::/28fc0e:122f:ffff:ffff:ffff:ffff:ffff:ffff
36fc0e:1230::/28fc0e:123f:ffff:ffff:ffff:ffff:ffff:ffff
37fc0e:1240::/28fc0e:124f:ffff:ffff:ffff:ffff:ffff:ffff
38fc0e:1250::/28fc0e:125f:ffff:ffff:ffff:ffff:ffff:ffff
39fc0e:1260::/28fc0e:126f:ffff:ffff:ffff:ffff:ffff:ffff
40fc0e:1270::/28fc0e:127f:ffff:ffff:ffff:ffff:ffff:ffff
41fc0e:1280::/28fc0e:128f:ffff:ffff:ffff:ffff:ffff:ffff
42fc0e:1290::/28fc0e:129f:ffff:ffff:ffff:ffff:ffff:ffff
43fc0e:12a0::/28fc0e:12af:ffff:ffff:ffff:ffff:ffff:ffff
44fc0e:12b0::/28fc0e:12bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc0e:12c0::/28fc0e:12cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc0e:12d0::/28fc0e:12df:ffff:ffff:ffff:ffff:ffff:ffff
47fc0e:12e0::/28fc0e:12ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc0e:12f0::/28fc0e:12ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc0e:1300::/28fc0e:130f:ffff:ffff:ffff:ffff:ffff:ffff
50fc0e:1310::/28fc0e:131f:ffff:ffff:ffff:ffff:ffff:ffff
51fc0e:1320::/28fc0e:132f:ffff:ffff:ffff:ffff:ffff:ffff
52fc0e:1330::/28fc0e:133f:ffff:ffff:ffff:ffff:ffff:ffff
53fc0e:1340::/28fc0e:134f:ffff:ffff:ffff:ffff:ffff:ffff
54fc0e:1350::/28fc0e:135f:ffff:ffff:ffff:ffff:ffff:ffff
55fc0e:1360::/28fc0e:136f:ffff:ffff:ffff:ffff:ffff:ffff
56fc0e:1370::/28fc0e:137f:ffff:ffff:ffff:ffff:ffff:ffff
57fc0e:1380::/28fc0e:138f:ffff:ffff:ffff:ffff:ffff:ffff
58fc0e:1390::/28fc0e:139f:ffff:ffff:ffff:ffff:ffff:ffff
59fc0e:13a0::/28fc0e:13af:ffff:ffff:ffff:ffff:ffff:ffff
60fc0e:13b0::/28fc0e:13bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc0e:13c0::/28fc0e:13cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc0e:13d0::/28fc0e:13df:ffff:ffff:ffff:ffff:ffff:ffff
63fc0e:13e0::/28fc0e:13ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc0e:13f0::/28fc0e:13ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc0e:1400::/28fc0e:140f:ffff:ffff:ffff:ffff:ffff:ffff
66fc0e:1410::/28fc0e:141f:ffff:ffff:ffff:ffff:ffff:ffff
67fc0e:1420::/28fc0e:142f:ffff:ffff:ffff:ffff:ffff:ffff
68fc0e:1430::/28fc0e:143f:ffff:ffff:ffff:ffff:ffff:ffff
69fc0e:1440::/28fc0e:144f:ffff:ffff:ffff:ffff:ffff:ffff
70fc0e:1450::/28fc0e:145f:ffff:ffff:ffff:ffff:ffff:ffff
71fc0e:1460::/28fc0e:146f:ffff:ffff:ffff:ffff:ffff:ffff
72fc0e:1470::/28fc0e:147f:ffff:ffff:ffff:ffff:ffff:ffff
73fc0e:1480::/28fc0e:148f:ffff:ffff:ffff:ffff:ffff:ffff
74fc0e:1490::/28fc0e:149f:ffff:ffff:ffff:ffff:ffff:ffff
75fc0e:14a0::/28fc0e:14af:ffff:ffff:ffff:ffff:ffff:ffff
76fc0e:14b0::/28fc0e:14bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc0e:14c0::/28fc0e:14cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc0e:14d0::/28fc0e:14df:ffff:ffff:ffff:ffff:ffff:ffff
79fc0e:14e0::/28fc0e:14ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc0e:14f0::/28fc0e:14ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc0e:1500::/28fc0e:150f:ffff:ffff:ffff:ffff:ffff:ffff
82fc0e:1510::/28fc0e:151f:ffff:ffff:ffff:ffff:ffff:ffff
83fc0e:1520::/28fc0e:152f:ffff:ffff:ffff:ffff:ffff:ffff
84fc0e:1530::/28fc0e:153f:ffff:ffff:ffff:ffff:ffff:ffff
85fc0e:1540::/28fc0e:154f:ffff:ffff:ffff:ffff:ffff:ffff
86fc0e:1550::/28fc0e:155f:ffff:ffff:ffff:ffff:ffff:ffff
87fc0e:1560::/28fc0e:156f:ffff:ffff:ffff:ffff:ffff:ffff
88fc0e:1570::/28fc0e:157f:ffff:ffff:ffff:ffff:ffff:ffff
89fc0e:1580::/28fc0e:158f:ffff:ffff:ffff:ffff:ffff:ffff
90fc0e:1590::/28fc0e:159f:ffff:ffff:ffff:ffff:ffff:ffff
91fc0e:15a0::/28fc0e:15af:ffff:ffff:ffff:ffff:ffff:ffff
92fc0e:15b0::/28fc0e:15bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc0e:15c0::/28fc0e:15cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc0e:15d0::/28fc0e:15df:ffff:ffff:ffff:ffff:ffff:ffff
95fc0e:15e0::/28fc0e:15ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc0e:15f0::/28fc0e:15ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc0e:1600::/28fc0e:160f:ffff:ffff:ffff:ffff:ffff:ffff
98fc0e:1610::/28fc0e:161f:ffff:ffff:ffff:ffff:ffff:ffff
99fc0e:1620::/28fc0e:162f:ffff:ffff:ffff:ffff:ffff:ffff
100fc0e:1630::/28fc0e:163f:ffff:ffff:ffff:ffff:ffff:ffff
101fc0e:1640::/28fc0e:164f:ffff:ffff:ffff:ffff:ffff:ffff
102fc0e:1650::/28fc0e:165f:ffff:ffff:ffff:ffff:ffff:ffff
103fc0e:1660::/28fc0e:166f:ffff:ffff:ffff:ffff:ffff:ffff
104fc0e:1670::/28fc0e:167f:ffff:ffff:ffff:ffff:ffff:ffff
105fc0e:1680::/28fc0e:168f:ffff:ffff:ffff:ffff:ffff:ffff
106fc0e:1690::/28fc0e:169f:ffff:ffff:ffff:ffff:ffff:ffff
107fc0e:16a0::/28fc0e:16af:ffff:ffff:ffff:ffff:ffff:ffff
108fc0e:16b0::/28fc0e:16bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc0e:16c0::/28fc0e:16cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc0e:16d0::/28fc0e:16df:ffff:ffff:ffff:ffff:ffff:ffff
111fc0e:16e0::/28fc0e:16ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc0e:16f0::/28fc0e:16ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc0e:1700::/28fc0e:170f:ffff:ffff:ffff:ffff:ffff:ffff
114fc0e:1710::/28fc0e:171f:ffff:ffff:ffff:ffff:ffff:ffff
115fc0e:1720::/28fc0e:172f:ffff:ffff:ffff:ffff:ffff:ffff
116fc0e:1730::/28fc0e:173f:ffff:ffff:ffff:ffff:ffff:ffff
117fc0e:1740::/28fc0e:174f:ffff:ffff:ffff:ffff:ffff:ffff
118fc0e:1750::/28fc0e:175f:ffff:ffff:ffff:ffff:ffff:ffff
119fc0e:1760::/28fc0e:176f:ffff:ffff:ffff:ffff:ffff:ffff
120fc0e:1770::/28fc0e:177f:ffff:ffff:ffff:ffff:ffff:ffff
121fc0e:1780::/28fc0e:178f:ffff:ffff:ffff:ffff:ffff:ffff
122fc0e:1790::/28fc0e:179f:ffff:ffff:ffff:ffff:ffff:ffff
123fc0e:17a0::/28fc0e:17af:ffff:ffff:ffff:ffff:ffff:ffff
124fc0e:17b0::/28fc0e:17bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc0e:17c0::/28fc0e:17cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc0e:17d0::/28fc0e:17df:ffff:ffff:ffff:ffff:ffff:ffff
127fc0e:17e0::/28fc0e:17ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc0e:17f0::/28fc0e:17ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc0e:1800::/28fc0e:180f:ffff:ffff:ffff:ffff:ffff:ffff
130fc0e:1810::/28fc0e:181f:ffff:ffff:ffff:ffff:ffff:ffff
131fc0e:1820::/28fc0e:182f:ffff:ffff:ffff:ffff:ffff:ffff
132fc0e:1830::/28fc0e:183f:ffff:ffff:ffff:ffff:ffff:ffff
133fc0e:1840::/28fc0e:184f:ffff:ffff:ffff:ffff:ffff:ffff
134fc0e:1850::/28fc0e:185f:ffff:ffff:ffff:ffff:ffff:ffff
135fc0e:1860::/28fc0e:186f:ffff:ffff:ffff:ffff:ffff:ffff
136fc0e:1870::/28fc0e:187f:ffff:ffff:ffff:ffff:ffff:ffff
137fc0e:1880::/28fc0e:188f:ffff:ffff:ffff:ffff:ffff:ffff
138fc0e:1890::/28fc0e:189f:ffff:ffff:ffff:ffff:ffff:ffff
139fc0e:18a0::/28fc0e:18af:ffff:ffff:ffff:ffff:ffff:ffff
140fc0e:18b0::/28fc0e:18bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc0e:18c0::/28fc0e:18cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc0e:18d0::/28fc0e:18df:ffff:ffff:ffff:ffff:ffff:ffff
143fc0e:18e0::/28fc0e:18ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc0e:18f0::/28fc0e:18ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc0e:1900::/28fc0e:190f:ffff:ffff:ffff:ffff:ffff:ffff
146fc0e:1910::/28fc0e:191f:ffff:ffff:ffff:ffff:ffff:ffff
147fc0e:1920::/28fc0e:192f:ffff:ffff:ffff:ffff:ffff:ffff
148fc0e:1930::/28fc0e:193f:ffff:ffff:ffff:ffff:ffff:ffff
149fc0e:1940::/28fc0e:194f:ffff:ffff:ffff:ffff:ffff:ffff
150fc0e:1950::/28fc0e:195f:ffff:ffff:ffff:ffff:ffff:ffff
151fc0e:1960::/28fc0e:196f:ffff:ffff:ffff:ffff:ffff:ffff
152fc0e:1970::/28fc0e:197f:ffff:ffff:ffff:ffff:ffff:ffff
153fc0e:1980::/28fc0e:198f:ffff:ffff:ffff:ffff:ffff:ffff
154fc0e:1990::/28fc0e:199f:ffff:ffff:ffff:ffff:ffff:ffff
155fc0e:19a0::/28fc0e:19af:ffff:ffff:ffff:ffff:ffff:ffff
156fc0e:19b0::/28fc0e:19bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc0e:19c0::/28fc0e:19cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc0e:19d0::/28fc0e:19df:ffff:ffff:ffff:ffff:ffff:ffff
159fc0e:19e0::/28fc0e:19ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc0e:19f0::/28fc0e:19ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc0e:1a00::/28fc0e:1a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc0e:1a10::/28fc0e:1a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc0e:1a20::/28fc0e:1a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc0e:1a30::/28fc0e:1a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc0e:1a40::/28fc0e:1a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc0e:1a50::/28fc0e:1a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc0e:1a60::/28fc0e:1a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc0e:1a70::/28fc0e:1a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc0e:1a80::/28fc0e:1a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc0e:1a90::/28fc0e:1a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc0e:1aa0::/28fc0e:1aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc0e:1ab0::/28fc0e:1abf:ffff:ffff:ffff:ffff:ffff:ffff
173fc0e:1ac0::/28fc0e:1acf:ffff:ffff:ffff:ffff:ffff:ffff
174fc0e:1ad0::/28fc0e:1adf:ffff:ffff:ffff:ffff:ffff:ffff
175fc0e:1ae0::/28fc0e:1aef:ffff:ffff:ffff:ffff:ffff:ffff
176fc0e:1af0::/28fc0e:1aff:ffff:ffff:ffff:ffff:ffff:ffff
177fc0e:1b00::/28fc0e:1b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc0e:1b10::/28fc0e:1b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc0e:1b20::/28fc0e:1b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc0e:1b30::/28fc0e:1b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc0e:1b40::/28fc0e:1b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc0e:1b50::/28fc0e:1b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc0e:1b60::/28fc0e:1b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc0e:1b70::/28fc0e:1b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc0e:1b80::/28fc0e:1b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc0e:1b90::/28fc0e:1b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc0e:1ba0::/28fc0e:1baf:ffff:ffff:ffff:ffff:ffff:ffff
188fc0e:1bb0::/28fc0e:1bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc0e:1bc0::/28fc0e:1bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc0e:1bd0::/28fc0e:1bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc0e:1be0::/28fc0e:1bef:ffff:ffff:ffff:ffff:ffff:ffff
192fc0e:1bf0::/28fc0e:1bff:ffff:ffff:ffff:ffff:ffff:ffff
193fc0e:1c00::/28fc0e:1c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc0e:1c10::/28fc0e:1c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc0e:1c20::/28fc0e:1c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc0e:1c30::/28fc0e:1c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc0e:1c40::/28fc0e:1c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc0e:1c50::/28fc0e:1c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc0e:1c60::/28fc0e:1c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc0e:1c70::/28fc0e:1c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc0e:1c80::/28fc0e:1c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc0e:1c90::/28fc0e:1c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc0e:1ca0::/28fc0e:1caf:ffff:ffff:ffff:ffff:ffff:ffff
204fc0e:1cb0::/28fc0e:1cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc0e:1cc0::/28fc0e:1ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc0e:1cd0::/28fc0e:1cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc0e:1ce0::/28fc0e:1cef:ffff:ffff:ffff:ffff:ffff:ffff
208fc0e:1cf0::/28fc0e:1cff:ffff:ffff:ffff:ffff:ffff:ffff
209fc0e:1d00::/28fc0e:1d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc0e:1d10::/28fc0e:1d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc0e:1d20::/28fc0e:1d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc0e:1d30::/28fc0e:1d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc0e:1d40::/28fc0e:1d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc0e:1d50::/28fc0e:1d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc0e:1d60::/28fc0e:1d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc0e:1d70::/28fc0e:1d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc0e:1d80::/28fc0e:1d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc0e:1d90::/28fc0e:1d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc0e:1da0::/28fc0e:1daf:ffff:ffff:ffff:ffff:ffff:ffff
220fc0e:1db0::/28fc0e:1dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc0e:1dc0::/28fc0e:1dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc0e:1dd0::/28fc0e:1ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc0e:1de0::/28fc0e:1def:ffff:ffff:ffff:ffff:ffff:ffff
224fc0e:1df0::/28fc0e:1dff:ffff:ffff:ffff:ffff:ffff:ffff
225fc0e:1e00::/28fc0e:1e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc0e:1e10::/28fc0e:1e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc0e:1e20::/28fc0e:1e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc0e:1e30::/28fc0e:1e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc0e:1e40::/28fc0e:1e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc0e:1e50::/28fc0e:1e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc0e:1e60::/28fc0e:1e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc0e:1e70::/28fc0e:1e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc0e:1e80::/28fc0e:1e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc0e:1e90::/28fc0e:1e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc0e:1ea0::/28fc0e:1eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc0e:1eb0::/28fc0e:1ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc0e:1ec0::/28fc0e:1ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fc0e:1ed0::/28fc0e:1edf:ffff:ffff:ffff:ffff:ffff:ffff
239fc0e:1ee0::/28fc0e:1eef:ffff:ffff:ffff:ffff:ffff:ffff
240fc0e:1ef0::/28fc0e:1eff:ffff:ffff:ffff:ffff:ffff:ffff
241fc0e:1f00::/28fc0e:1f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc0e:1f10::/28fc0e:1f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc0e:1f20::/28fc0e:1f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc0e:1f30::/28fc0e:1f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc0e:1f40::/28fc0e:1f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc0e:1f50::/28fc0e:1f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc0e:1f60::/28fc0e:1f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc0e:1f70::/28fc0e:1f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc0e:1f80::/28fc0e:1f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc0e:1f90::/28fc0e:1f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc0e:1fa0::/28fc0e:1faf:ffff:ffff:ffff:ffff:ffff:ffff
252fc0e:1fb0::/28fc0e:1fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc0e:1fc0::/28fc0e:1fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc0e:1fd0::/28fc0e:1fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc0e:1fe0::/28fc0e:1fef:ffff:ffff:ffff:ffff:ffff:ffff
256fc0e:1ff0::/28fc0e:1fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses